社群動能

GET /social-momentum
GetSocialMomentum

針對某個資產、主題或整體市場,並列呈現各作者叢集內的貼文、不重複發文者與情緒:哪些群體在帶動討論,以及他們的語氣有何不同。叢集之間會重疊,因此請勿相加。傳入 clusters 可只傳回你指定的叢集。

參數規則:

  • asset_id 必須與 asset_class 一起傳送。
  • subject_id 不能與 asset_id 或 asset_class 合併使用。
  • 若未提供 asset_id,asset_class 必須為 equity 或 crypto;commodity 與 index 則需要 asset_id。

可使用錢包於 https://nebula-api.hiddensystems.ai/api/v1/x402/social-momentum 付款。不需要 Nebula 帳號或 API 金鑰;簽署前請先確認付款條件。x402 付款指南。

參數

asset_id string QUERY

來自 /assets 或 /search 的資產 ID,例如 NVDA、GLD、SPX 或 bitcoin。請與一併回傳的 asset_class 一起送出。

Example:NVDA

asset_class string QUERY

搭配 asset_id 時,代表該資產的類別。未提供時,代表要彙總的市場:equity(股票、大宗商品與指數;預設值)或 crypto。

允許的值
equitycommodityindexcrypto

Example:equity

subject_id string QUERY

由 /subjects 或 /search 回傳的標準非資產識別碼,例如 text:jensen huang 或 handle:elonmusk。大小寫不拘。不能與 asset_id 或 asset_class 合併使用。

Example:text:jensen huang

hours integer QUERY

回溯期間,以小時為單位。免費方案可回溯 90 天;更早的期間會回傳 403。

Default:168

granularity string QUERY

要求的時間序列分桶大小。省略時,服務會依回看區間選擇合適的分桶大小。

允許的值
1h2h4h12h1d

Example:1h

clusters array<string> QUERY

僅限這些叢集,每個各自成為一個序列;省略則表示全部。使用 /sentiment 的 clusters 參數中的 id,但發文社群除外。

Example:smart_money

cURL 範例

curl --request GET \
  --url 'https://nebula-api.hiddensystems.ai/api/v1/public/social-momentum' \
  --header 'X-API-Key: YOUR_API_KEY'

回應

200 OK
400 錯誤的要求
401 未經授權
402 額度已用完;回應會包含續約時間與已購買的額度餘額
403 禁止
404 找不到
405 不允許的方法;Allow 標頭會列出支援的方法
429 要求過多
500 內部伺服器錯誤
503 服務無法使用

媒體類型 application/json

clusters
object 必填

以標準作者叢集識別碼為鍵的社群動能序列。

clusters.{key}[].average_sentiment_score
number (double) 必填

各貼文情緒分數的算術平均值,採用 −100(極度看空)至 +100(極度看多)的量表。

clusters.{key}[].bearish_posts
integer (int64) 必填

歸類為看跌的貼文。

clusters.{key}[].bullish_posts
integer (int64) 必填

歸類為看漲的貼文。

clusters.{key}[].neutral_posts
integer (int64) 必填

歸類為中性的貼文。

clusters.{key}[].timestamp
string (date-time) 必填

觀測值或分桶開始時間的 UTC RFC 3339 時間戳記。

clusters.{key}[].total_posts
integer (int64) 必填

該指標作用中回溯視窗內的貼文數。

clusters.{key}[].unique_posters
integer (int64) 必填

該分桶內的不重複發文帳號數;在比每小時更粗略的粒度下,這是將每小時計數加總而得的上限。

{
  "clusters": {
    "smart_money": [
      {
        "average_sentiment_score": 38.5,
        "bearish_posts": 41,
        "bullish_posts": 112,
        "neutral_posts": 31,
        "timestamp": "2026-08-07T15:00:00Z",
        "total_posts": 184,
        "unique_posters": 73
      }
    ]
  }
}